#!/usr/bin/make -f
%:
	dh $@

override_dh_auto_clean:
	dh_auto_clean
	debconf-updatepo
	rm -f wiki.conf

override_dh_auto_configure:
	cp debian/wiki.conf .
	dh_auto_configure

override_dh_auto_install:
	dh_auto_install
	rm -f debian/openguides/usr/share/perl5/OpenGuides/Build.pm debian/openguides/usr/share/perl5/OpenGuides/ConfigData.pm debian/openguides/usr/share/man/man3/OpenGuides::ConfigData.3pm debian/openguides/var/lib/openguides/sqlite/default.db

override_dh_fixperms:
	dh_fixperms
	chgrp www-data debian/openguides/etc/openguides/default/wiki.conf
	chmod 640 debian/openguides/etc/openguides/default/wiki.conf
	chown www-data:www-data debian/openguides/var/lib/openguides/sqlite
	chown www-data:www-data debian/openguides/var/lib/openguides/indexes/default
	chmod +x debian/openguides/usr/share/libwiki-toolkit-perl/upgrade-hooks/openguides
